import figma from '@figma/code-connect';

figma.connect(
  'https://www.figma.com/design/Zyh9RyabNaqkjbuFWP9Aqj/%E2%9C%A8-Components--ADS2---Stable-version-?node-id=11697-6444',
  {
    imports: ["import { Sidebar, SidebarHeader } from '@mozaic-ds/web-components/svelte';"],
    props: {
      expanded: figma.enum('is expanded', {
        True: true,
        False: false,
      }),
      hasHeader: figma.boolean('Has a header'),
      hasShortcuts: figma.boolean('Has shortcuts'),
      hasFooter: figma.boolean('Has a footer'),
    },
    example: ({ expanded }) => (
      <Sidebar expanded={expanded}>
        <SidebarHeader slot="header" title="Product name" logo="/logo.png"></SidebarHeader>
      </Sidebar>
    ),
  },
);
